IPSW-ENT(1)

NAME
ipsw-ent - Search IPSW filesystem DMG or Folder for MachOs with a given entitlement

SYNOPSIS
ipsw ent [flags]

DESCRIPTION
Search IPSW filesystem DMG or Folder for MachOs with a given entitlement

OPTIONS
--db=""
    Folder to r/w entitlement databases

-d, --diff[=false]
    Diff entitlements

-f, --file=""
    Dump entitlements for MachO as plist

--file-only[=false]
    Only output the file path of matches

-h, --help[=false]
    help for ent

--input=[]
    Folders of MachOs to analyze

--ipsw=[]
    IPSWs to analyze

-k, --key=""
    Entitlement KEY regex to search for

-m, --md[=false]
    Markdown style output

--ui[=false]
    Show entitlements Web UI

--ui-host="localhost"
    UI host to server on

--ui-port=3993
    UI port to server on

-v, --val=""
    Entitlement VALUE regex to search for (i.e. strings)

OPTIONS INHERITED FROM PARENT COMMANDS
--color[=false]
    colorize output

--config=""
    config file (default is $HOME/.config/ipsw/config.yaml)

--no-color[=false]
    disable colorize output

-V, --verbose[=false]
    verbose output

EXAMPLE
    # Search IPSW for entitlement key
    ❯ ipsw ent --ipsw <IPSW> --db /tmp --key platform-application
    # Search local folder for entitlement key
    ❯ ipsw ent --input /usr/bin --db /tmp --val platform-application
    # Search IPSW for entitlement value (i.e. one of the <array> strings)
    ❯ ipsw ent --ipsw <IPSW> --db /tmp --val LockdownMode
    # Dump entitlements for MachO in IPSW
    ❯ ipsw ent --ipsw <IPSW> --db /tmp --file WebContent
    # Diff two IPSWs
    ❯ ipsw ent --diff --ipsw <PREV_IPSW> --ipsw <NEW_IPSW> --db /tmp
    # Launch Web UI (http://localhost:3993)
    ❯ ipsw ent --ui --ipsw <IPSW>

SEE ALSO
ipsw(1)

HISTORY
7-May-2025 Auto generated by spf13/cobra